Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface AuditableEventQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FilterQueryType, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  AuditableEventQueryTypeImpl

    public interface AuditableEventQueryType

extends FilterQueryType

A representation of the model object 'Auditable Event Query Type'.

The following features are supported:

- `Affected Object Query`
- `Event Type Query`
- `User Query`

See Also:
  `QueryPackage.getAuditableEventQueryType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAffectedObjectQuery()` Returns the value of the 'Affected Object Query' containment reference list.
`ClassificationNodeQueryType` | `getEventTypeQuery()` Returns the value of the 'Event Type Query' containment reference.
`UserQueryType` | `getUserQuery()` Returns the value of the 'User Query' containment reference.
`void` | `setEventTypeQuery(ClassificationNodeQueryType value)` Sets the value of the '`Event Type Query`' containment reference.
`void` | `setUserQuery(UserQueryType value)` Sets the value of the '`User Query`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.FilterQueryType
`getPrimaryFilter, setPrimaryFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAffectedObjectQuery

    org.eclipse.emf.common.util.EList getAffectedObjectQuery()

  Returns the value of the 'Affected Object Query' containment reference list. The list contents are of type `RegistryObjectQueryType`.

  If the meaning of the 'Affected Object Query' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Affected Object Query' containment reference list.
  See Also:
    `QueryPackage.getAuditableEventQueryType_AffectedObjectQuery()`

### getEventTypeQuery

    ClassificationNodeQueryType getEventTypeQuery()

  Returns the value of the 'Event Type Query' containment reference.

  If the meaning of the 'Event Type Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Event Type Query' containment reference.
  See Also:
    `setEventTypeQuery(ClassificationNodeQueryType)`, `QueryPackage.getAuditableEventQueryType_EventTypeQuery()`

### setEventTypeQuery

    void setEventTypeQuery(ClassificationNodeQueryType value)

  Sets the value of the '`Event Type Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Event Type Query' containment reference.
  See Also:
    `getEventTypeQuery()`

### getUserQuery

    UserQueryType getUserQuery()

  Returns the value of the 'User Query' containment reference.

  If the meaning of the 'User Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User Query' containment reference.
  See Also:
    `setUserQuery(UserQueryType)`, `QueryPackage.getAuditableEventQueryType_UserQuery()`

### setUserQuery

    void setUserQuery(UserQueryType value)

  Sets the value of the '`User Query`' containment reference.

  Parameters:
    `value` - the new value of the 'User Query' containment reference.
  See Also:
    `getUserQuery()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD